{+--------------------------------------------------------------------------+
 | Created:     10.98
 | Author:      Martin Waldenburg
 | Copyright    1998, all rights reserved.
 | Description: Demo for mwTFileSearch.
 | It's provided as is, without a warranty of any kind.
 | You use it at your own risc.
 | E-Mail me at Martin.Waldenburg@t-online.de
 +--------------------------------------------------------------------------+}
unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, mTFiSear, StdCtrls, Mwtime;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Button2: TButton;
    OpenDialog1: TOpenDialog;
    Time1: TmTime;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    aFileName: String;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  Search: TTFileSearch;
begin
  if OpenDialog1.Execute then
  begin
  Search:= TTFileSearch.Create(OpenDialog1.FileName, fmOpenRead or fmShareDenyWrite, 0);
  Search.Init(Edit1.Text);
  Time1.Start;
  while not Search.Finished do
  begin
    Search.Next;
  end;
  Time1.Stop;
  Edit1.Text:= 'File Size: ' + IntToStr(Search.FileSize);
  Edit2.Text:= 'Found ' + IntToStr(Search.Count);
  Edit3.Text:= Time1.ElapsedTime;
  Search.Free;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  Search: TTFileSearch;
begin
  if OpenDialog1.Execute then
  begin
  Search:= TTFileSearch.Create(OpenDialog1.FileName, fmOpenRead, 0);
  Search.Init(Edit1.Text);
  Time1.Start;
  while not Search.Finished do
  begin
    Search.Next;
  end;
  Time1.Stop;
  Edit1.Text:= 'File Size: ' + IntToStr(Search.FileSize);
  Edit2.Text:= 'Found ' + IntToStr(Search.Count);
  Edit3.Text:= Time1.ElapsedTime;
  Search.Free;
  end;
end;

end.
