unit mwSearchU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, mwTSearchOP, mwTSearchSJP, mwFilePointer, mwFastTime;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    Time1: TmwFastTime;
    Edit4: TEdit;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    SearchOP: TmTSearchOP;
    SearchSJP: TmTSearchSJP;
    FileP: TmFilePointer;
  public
    { Public-Deklarationen}
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if Edit1.Text = '' then exit;
  SearchSJP.Pattern:= Edit1.Text;
  SearchSJP.Whole:= True;
  Time1.Start;
  if SearchSJP.FindFirst(FileP.Ptr, FileP.Size) <> -1 then
  while SearchSJP.Next >= 0 do;
  Time1.Stop;
  Edit2.Text := IntToStr(FileP.Size);
  Edit3.Text := IntToStr(SearchSJP.Count);
  Edit4.Text := Time1.ElapsedTime;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
  begin
    FileP.FileName := OpenDialog1.FileName;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  SearchOP := TmTSearchOP.Create;
  SearchSJP := TmTSearchSJP.Create;
  FileP := TmFilePointer.Create;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  SearchOP.Free;
  SearchSJP.Free;
  FileP.Free;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  if Edit1.Text = '' then exit;
  SearchOP.Pattern:= Edit1.Text;
  SearchOP.Whole:= True;
  Time1.Start;
  if SearchOP.FindFirst(FileP.Ptr, FileP.Size) <> -1 then
  while SearchOP.Next >= 0 do;
  Time1.Stop;
  Edit2.Text := IntToStr(FileP.Size);
  Edit3.Text := IntToStr(SearchOP.Count);
  Edit4.Text := Time1.ElapsedTime;
end;

end.

